<?php
session_start();
require_once('../conexion.php');
include "../include/sesiones.php";

$valor=$_POST['valor'];
$vent_id=$_POST['campo'];

$can7=mysqli_query($con,"SELECT * FROM venta_detalle_temp WHERE vent_id='$vent_id'") or die(mysqli_error($con));  
$dato=mysqli_fetch_array($can7);
$art_art_id=$dato['art_art_id'];
$vent_art_id=$dato['vent_art_id'];
$vent_tipo=$dato['vent_tipo'];

if($vent_tipo=='articulo')
{
	$can8=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id ='$art_art_id'") or die(mysqli_error($con));  
	$dato8=mysqli_fetch_array($can8);
	$art_cantidad=$dato8['art_cantidad'];

	if($bajo_cero=='No')
	{
		if($valor<=$art_cantidad)
		{
			$registros=mysqli_query($con,"UPDATE venta_detalle_temp Set vent_cantidad='$valor' Where vent_id='$vent_id'") or die(mysqli_error($con));
		}
		else
		{
			echo '<div class="alert alert-danger alert-dismissable">
		         <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
		         <strong>No se puede facturar articulos por encima de la cantidad existente </strong> 
		    </div>';
		}
	}
	else
	{
		$registros=mysqli_query($con,"UPDATE venta_detalle_temp Set vent_cantidad='$valor' Where vent_id='$vent_id'") or die(mysqli_error($con));
	}
}
else if($vent_tipo=='detallado')
{
	$can8=mysqli_query($con,"SELECT * FROM articulos_detallado WHERE artd_id='$vent_art_id'") or die(mysqli_error($con));  
	$dato8=mysqli_fetch_array($can8);
	$artd_cantidad=$dato8['artd_cantidad'];
	if($bajo_cero=='No')
	{
		if($valor<=$artd_cantidad)
		{
			$registros=mysqli_query($con,"UPDATE venta_detalle_temp Set vent_cantidad='$valor' Where vent_id='$vent_id'") or die(mysqli_error($con));
		}
		else
		{
			echo '<div class="alert alert-danger alert-dismissable">
		         <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
		         <strong>No se puede facturar articulos por encima de la cantidad existente </strong> 
		    </div>';
		}
	}
	else
	{
		$registros=mysqli_query($con,"UPDATE venta_detalle_temp Set vent_cantidad='$valor' Where vent_id='$vent_id'") or die(mysqli_error($con));
	}
}
else
{
	$registros=mysqli_query($con,"UPDATE venta_detalle_temp Set vent_cantidad='$valor' Where vent_id='$vent_id'") or die(mysqli_error($con));
}
?>